GuideLab API

Upload product image

Upload or replace the image for a product. Accepts JPEG, PNG, WebP, or GIF up to 5MB via multipart form data.

POST
/products/{id}/image

Upload or replace the image for a product. Accepts JPEG, PNG, WebP, or GIF up to 5MB via multipart form data.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Product ID

Response Body

application/json

curl -X POST "https://example.com/products/550e8400-e29b-41d4-a716-446655440000/image"
{  "product": {    "id": "string",    "labId": "string",    "categoryId": "string",    "standardId": "string",    "treatmentPhaseId": "string",    "name": "string",    "sku": "string",    "description": "string",    "defaultPrice": "string",    "cogs": "string",    "pricingUnit": "string",    "turnaroundDays": 0,    "weight": "string",    "minTeethCount": 0,    "maxTeethCount": 0,    "shadeEnabled": true,    "implantSpecRequired": true,    "archSelection": "string",    "bothArchesOnly": true,    "hideOdontogram": true,    "odontogramMode": "string",    "configuratorType": "single_page",    "quantityEnabled": true,    "autoAddToCart": true,    "upfrontPayment": true,    "isHidden": true,    "useProgressBar": true,    "fulfillmentMode": "physical",    "isActive": true,    "sortOrder": 0,    "laboratoryCode": "string",    "laboratoryDescription": "string",    "imageKey": "string",    "triggerRules": null,    "treatmentPhaseName": "string",    "treatmentPhaseSortOrder": 0,    "treatmentPhaseStartPolicy": "string",    "treatmentPhaseLeadTimeDays": 0,    "createdAt": "string",    "updatedAt": "string"  }}
Empty
Empty
Empty
Empty